All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::device_specific::mapped_implicit_vector Class Reference

Implicit vector. More...

`#include <mapped_objects.hpp>`

Inheritance diagram for viennacl::device_specific::mapped_implicit_vector:

## Public Member Functions

| mapped_implicit_vector (std::string const &scalartype, unsigned int id)
std::string & | append_kernel_arguments (std::set< std::string > &, std::string &str, unsigned int width) const
Public Member Functions inherited from viennacl::device_specific::mapped_object
| mapped_object (std::string const &scalartype, unsigned int id, std::string const &type_key)
virtual | ~mapped_object ()
std::string | type_key () const
std::string const & | name () const
std::string | process (std::string const &in) const
std::string | evaluate (std::map< std::string, std::string > const &accessors) const

## Additional Inherited Members

Protected Member Functions inherited from viennacl::device_specific::mapped_object
void | register_attribute (std::string &attribute, std::string const &key, std::string const &value)
Static Protected Member Functions inherited from viennacl::device_specific::mapped_object
static void | replace_offset (std::string &str, MorphBase const &morph)
Protected Attributes inherited from viennacl::device_specific::mapped_object
std::string | name_
std::string | scalartype_
std::string | type_key_
std::map< std::string, std::string > | keywords_

## Detailed Description

Implicit vector.

Maps an implicit vector

Definition at line 479 of file mapped_objects.hpp.

## Constructor & Destructor Documentation

viennacl::device_specific::mapped_implicit_vector::mapped_implicit_vector | ( | std::string const & | scalartype,
|  | unsigned int | id
| ) |  |

inline

Definition at line 482 of file mapped_objects.hpp.

## Member Function Documentation

std::string& viennacl::device_specific::mapped_implicit_vector::append_kernel_arguments | ( | std::set< std::string > & | ,
|  | std::string & | str,
|  | unsigned int | width
| ) |  | const

inline virtual

Reimplemented from viennacl::device_specific::mapped_object.

Definition at line 485 of file mapped_objects.hpp.

The documentation for this class was generated from the following file:

- viennacl/device_specific/mapped_objects.hpp